<?php defined('SYSPATH') or die('No direct script access.');

class Model_Disciplines extends Model
{
    public static function forGroup($GroupID) {
        $disciplines = self::ofGroup($GroupID);

        $list = array();
        foreach ($disciplines as $row)
            $list[] = $row;

        return $list;
    }

    /**
     * @param $id int student id
     * @return Database_Result select from <tt>view_disciplines</tt> table
     */
    public static function ofStudent($id) {
        $sql = "CALL `GetDisciplinesForStudent`('$id'); ";
        return DB::query(Database::SELECT, $sql)->execute();
    }

    /**
     * @param $id int teacher id
     * @return Database_Result
     */
    public static function ofTeacher($id)
    {
        $sql = "CALL `GetDisciplinesForTeacher`('$id'); ";
        return DB::query(Database::SELECT, $sql)->execute();
    }

    /**
     * @param $group int group id
     * @return Database_Result
     */
    public static function ofGroup($group) {
        $sql = "CALL `GetDisciplinesForGroup`('$group')";
        return DB::query(Database::SELECT, $sql)->execute();
    }

    // TODO: Методы для получения списка дисциплин
}